#!/bin/bash

SPOOL=/var/spool/banjar

DEV_UPLINK=eth0
DEV_DOWNLINK=eth1

# -------------------------------------------------------------------------------------------------------------------------

mkdir -p $SPOOL

CLASS=$1
if [ -z "$CLASS" ]; then 
    echo "download:0 upload:0"
    exit 0
fi

VALUE=`cat $SPOOL/cat-$DEV_DOWNLINK | grep "htb 1:$CLASS parent" -A 1 | grep Sent | sed "s/ Sent //" | sed "s/ bytes .*//"`
if [ -z "$VALUE" ]; then 
    echo -n "download:0"
else
    echo -n "download:$VALUE"
fi

echo -n " "

VALUE=`cat $SPOOL/cat-$DEV_UPLINK | grep "htb 1:$CLASS parent" -A 1 | grep Sent | sed "s/ Sent //" | sed "s/ bytes .*//"`
if [ -z "$VALUE" ]; then 
    echo "upload:0"
else
    echo "upload:$VALUE"
fi
