--
-- Table structure for table `tblClient`
--

DROP TABLE IF EXISTS `tblClient`;
CREATE TABLE `tblClient` (
  `id` int(11) NOT NULL auto_increment,
  `code` int(11) NOT NULL default '0',
  `slot` int(11) NOT NULL default '1',
  `prio` int(11) NOT NULL default '2',
  `contact_email` varchar(100) NOT NULL default '',
  `contact_name` varchar(100) NOT NULL default '',
  `contact_phone` varchar(100) NOT NULL default '',
  `contact_fax` varchar(100) NOT NULL default '',
  `no_invoice` varchar(100) NOT NULL default '',
  `ip_router` varchar(100) NOT NULL default '',
  `inf` varchar(255) NOT NULL default '',
  `type_id` int(11) NOT NULL default '0',
  `flag_inactive` int(11) NOT NULL default '0',
  `flag_datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblClient`
--

LOCK TABLES `tblClient` WRITE;
INSERT INTO `tblClient` VALUES (1,778001,2,2,'-','Pak Rusmanto','-','-','-','192.168.1.72','Cable',1,0,'2007-01-05 05:32:59'),(2,778002,1,2,'-','Pak I Made Wiryana','-','-','-','192.168.1.78','Wireless',1,0,'2007-01-05 05:35:14'),(3,779001,1,2,'-','Pak Onno W. Purbo','-','-','-','192.168.1.84','Wireless',2,0,'0000-00-00 00:00:00'),(4,779002,1,2,'-','Pak RW 007','-','-','-','192.168.1.86','Cable',2,1,'2007-01-05 05:38:25'),(5,779002,2,2,'-','SMUN 61 Jakarta','-','-','-','192.168.1.56/29','PCBOX',2,0,'0000-00-00 00:00:00');
UNLOCK TABLES;

--
-- Table structure for table `tblPackage`
--

DROP TABLE IF EXISTS `tblPackage`;
CREATE TABLE `tblPackage` (
  `id` int(11) NOT NULL auto_increment,
  `code` int(11) NOT NULL default '0',
  `name` varchar(150) NOT NULL default '',
  `desc` text NOT NULL,
  `htb_rate` int(11) NOT NULL default '0',
  `htb_ceil` int(11) NOT NULL default '0',
  `htb_leaf` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tblPackage`
--


LOCK TABLES `tblPackage` WRITE;
INSERT INTO `tblPackage` VALUES (1,101,'Group A 128 1:8','Silver package for minimum 16 Kbps burst to 128 Kbps',16,128,'sfq'),(2,0,'Group B 128 1:4','Gold package for minimum 32 Kbps burst to 128 Kbps',32,128,'sfq');
UNLOCK TABLES;

