<?php
if(!defined("_SECURE_")){die("Intruder: IP ".$_SERVER['REMOTE_ADDR']);};

$ignore_icmp = "";
if ($apps_ignore_icmp)
{
    $ignore_icmp = "-p ! icmp";
}

// get some more rules from netfilter.sysctl and add it on the top of configured rules
$sysctl = file_get_contents($apps_path['netfilter_config']."/netfilter.sysctl");
echo "# sysctl\n\n";
echo $sysctl;

echo "# clear iptables\n";
echo "\$IPTABLES -t mangle -F\n";
echo "\$IPTABLES -t filter -F\n";
echo "\$IPTABLES -t nat -F\n";
echo "\n";

// get some more rules from netfilter.masquerade and add it on the bottom of configured rules
$masquerade = file_get_contents($apps_path['netfilter_config']."/netfilter.masquerade");
echo "# masquerade\n\n";
echo $masquerade;

// get some more rules from netfilter.firewall and add it on the bottom of configured rules
$firewall = file_get_contents($apps_path['netfilter_config']."/netfilter.firewall");
echo "# firewall\n\n";
echo $firewall;

include $apps_path[incs]."/main/createfw_upload.php";
include $apps_path[incs]."/main/createfw_download.php";

// filter
echo "# filter\n\n";
$db_query = "SELECT * FROM tblPackage ORDER BY name";
$db_result = dba_query($db_query);
while ($db_row = dba_fetch_array($db_result))
{
    echo "# $db_row[name]\n\n";
    $db_query1 = "SELECT * FROM tblClient WHERE type_id='".$db_row[id]."' ORDER BY code";
    $db_result1 = dba_query($db_query1);
    while ($db_row1 = dba_fetch_array($db_result1))
    {
	if ($db_row1[flag_inactive])
	{
	    // ACCEPT rule commented, meaning this client not allowed to use internet
	    echo "# $db_row1[contact_name] (dropped)\n";
	    echo "#\$IPTABLES -t filter -A INPUT -i ".$dev_downlink." -s $db_row1[ip_router] -j ACCEPT\n";
	    echo "#\$IPTABLES -t filter -A FORWARD -i ".$dev_downlink." -s $db_row1[ip_router] -j ACCEPT\n\n";
	}
	else
	{
	    // ACCEPT rule will be executed, this client allowed to use internet
	    echo "# $db_row1[contact_name]\n";
	    echo "\$IPTABLES -t filter -A INPUT -i ".$dev_downlink." -s $db_row1[ip_router] -j ACCEPT\n";
	    echo "\$IPTABLES -t filter -A FORWARD -i ".$dev_downlink." -s $db_row1[ip_router] -j ACCEPT\n\n";
	}
    }
    echo "\n";
}

// bad idea if you forbid your clients to connect with this router
// thats why the DROP rule for INPUT commented
// but not for FORWARD, we want this on our active rule to forbid unwanted clients
// to use internet
echo "# drop the rest\n";
echo "# \$IPTABLES -t filter -A INPUT -i ".$dev_downlink." -j DROP\n";
echo "\$IPTABLES -t filter -A FORWARD -i ".$dev_downlink." -j DROP\n\n";
echo "\n\n";

// controller configurations
$control = file_get_contents($apps_path['netfilter_config']."/netfilter.control");
echo "# control\n\n";
echo $control;

?>