<?php
function interface_tab($arr_item, $selected, $top="&nbsp;", $width="100%", $selected_link=true, $unselected_items=array())
{
    global $http_path;
    $top = (!$top) ? "&nbsp;" : $top;
    $width = (!$width) ? "100%" : $width;
    
    $tab_content = "";
    $arr_unselected = array();
    if(!is_array($unselected_items))
    {
        $arr_unselected[] = $unselected_items;
    }
    else
    {
        $arr_unselected = $unselected_items;
    }

    foreach($arr_item as $key=>$value)
    {
        if($key==$selected)
        {
	        $tab_content .= "<td>".tab_selected($key, $value, $selected_link)."</td>\n";
        }
        else
        {
            $tab_content .= "<td>".tab_unselected($key, $value, $arr_unselected)."</td>\n";
        }
    }
        
    $content = "
<style type=\"text/css\">
<!--
.tabUnselected {
	font-size: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-weight: normal;
	color: #336699;
}

A.tabUnselected:link {
	color: #336699;
	TEXT-DECORATION: none;
}

A.tabUnselected:visited {
	COLOR: #003366; 
	TEXT-DECORATION: none;
}

A.tabUnselected:hover {
	color: #FF0000;
	TEXT-DECORATION: none;
}

.tabSelected{	
	font-size: 10px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-weight: bold;
}

-->
</style>

<table width=\"$width\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
  <tr>
    <td>	
<!-- TOP TAB -->
    $top
<!-- TOP TAB -->
	</td>
  </tr> 
  <tr>
    <td height=\"20\" background=\"".$http_path['themes']."/images/tab/tab-bar.gif\">
	
<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
  <tr>
    $tab_content
  </tr>
</table>
    
    </td>
  </tr>
</table>

";
    return $content;
}

function tab_selected($value, $link, $selected_link)
{
    global $http_path;
    $tab_content = ($selected_link) ? "<a href=\"$link\">&nbsp; $value &nbsp;</a>" : "&nbsp; $value &nbsp;";
    $content = "
<!-- SELECTED -->
      <TABLE BORDER=0 align=\"center\" CELLPADDING=0 CELLSPACING=0>
      <TR>
        <TD WIDTH=2 HEIGHT=4><IMG SRC=\"".$http_path['themes']."/images/tab/tab_assets/selected_01.gif\" WIDTH=2 HEIGHT=4 ALT=\"\"></TD>
        <TD HEIGHT=4 background=\"".$http_path['themes']."/images/tab/selected_02.gif\"></TD>
        <TD WIDTH=2 HEIGHT=4><IMG SRC=\"".$http_path['themes']."/images/tab/selected_03.gif\" WIDTH=2 HEIGHT=4 ALT=\"\"></TD>
      </TR>
      <TR>
        <TD WIDTH=2 HEIGHT=17><IMG SRC=\"".$http_path['themes']."/images/tab/selected_04.gif\" WIDTH=2 HEIGHT=17 ALT=\"\"></TD>
        <TD HEIGHT=17 nowrap=\"nowrap\" bgcolor=\"#FFFFFF\"><span class=\"tabSelected\">$tab_content</span></TD>
        <TD WIDTH=2 HEIGHT=17><IMG SRC=\"".$http_path['themes']."/images/tab/selected_06.gif\" WIDTH=2 HEIGHT=17 ALT=\"\"></TD>
      </TR>
    </TABLE>
<!-- SELECTED -->    
    ";
    
    return $content;
}

function tab_unselected($value, $link, $unselected_link)
{
    global $http_path;
    $unlink = false;

    if($unselected_link)
    {
        foreach($unselected_link as $value_link)
        {
            if($value_link==$value)
            {
                $unlink = true;
                break;
            }
        }
    }
    
    $tab_content = ($unlink) ? "&nbsp; $value &nbsp;" : "<a href=\"$link\" class=\"tabUnselected\">&nbsp; $value &nbsp;</a>";


    $content = "
<!-- UNSELECTED -->
    <TABLE WIDTH=52 BORDER=0 CELLPADDING=0 CELLSPACING=0>
      <TR>
        <TD WIDTH=2 HEIGHT=2><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_01.gif\" WIDTH=2 HEIGHT=2 ALT=\"\"></TD>
        <TD HEIGHT=2 background=\"".$http_path['themes']."/images/tab/unselected_02.gif\"></TD>
        <TD WIDTH=3 HEIGHT=2><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_03.gif\" WIDTH=3 HEIGHT=2 ALT=\"\"></TD>
      </TR>
      <TR>
        <TD WIDTH=2 HEIGHT=15><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_04.gif\" WIDTH=2 HEIGHT=15 ALT=\"\"></TD>
        <TD HEIGHT=15  nowrap=\"nowrap\" background=\"".$http_path['themes']."/images/tab/unselected_05.gif\">$tab_content</TD>
        <TD WIDTH=3 HEIGHT=15><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_06.gif\" WIDTH=3 HEIGHT=15 ALT=\"\"></TD>
      </TR>
      <TR>
        <TD WIDTH=2 HEIGHT=2><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_07.gif\" WIDTH=2 HEIGHT=2 ALT=\"\"></TD>
        <TD HEIGHT=2 background=\"".$http_path['themes']."/images/tab/unselected_08.gif\"></TD>
        <TD WIDTH=3 HEIGHT=2><IMG SRC=\"".$http_path['themes']."/images/tab/unselected_09.gif\" WIDTH=3 HEIGHT=2 ALT=\"\"></TD>
      </TR>
    </TABLE>
<!-- UNSELECTED -->	    
    ";

    return $content;
}

function linenavbar($num, $nav, $max_nav, $url, $page)
{
    global $http_path;

    $nav_pages = "";
    if($num)
    {
	$nav_start = ((($nav-1) * $max_nav)+1);
	$nav_end = (($nav) * $max_nav);

	$start = 1;
	$end = ceil($num/$max_nav);

	$nav_pages = "
<table cellpadding=1 cellspacing=1>
    <tr>
    ";

	$nav_pages .= "<td> <a href=$url&page=1&nav=1><img align=absmiddle src=".$http_path['data']."/images/row/icon_start.gif border=0 /></a></td>";
	$nav_pages .= "<td>";        
	$nav_pages .= ($start==$nav) ? "<img align=absmiddle src=".$http_path['data']."/images/row/icon_prev.gif border=0 /> &nbsp;" : "<a href=$url&page=".((($nav-2)*$max_nav)+1)."&nav=".($nav-1)."><img src=".$http_path['data']."/images/row/icon_prev.gif border=0 /></a>";
	$nav_pages .= "</td>";   
	$nav_pages .= ($start==$nav) ? "<td>" : "<td> ... ";            
    
	for($i=$nav_start;$i<=$nav_end;$i++)
	{
	    if($i>$num){ break; };
    	    if ($i == $page)
	    {
        	$nav_pages .= "[$i] ";
    	    }
    	    else
    	    {
        	$nav_pages .= "<a href=$url&page=$i&nav=$nav>$i</a> ";
    	    }
	}

	$nav_pages .= ($end==$nav) ? "</td>" : " ... </td>";        
	$nav_pages .= "<td>";        
	$nav_pages .= ($end==$nav) ? "<img align=absmiddle src=".$http_path['data']."/images/row/icon_next.gif border=0 />&nbsp;" : "<a href=$url&page=".(($nav*$max_nav)+1)."&nav=".($nav+1)."> <img align=absmiddle src=".$http_path['data']."/images/row/icon_next.gif border=0 /></a>";
	$nav_pages .= "</td>";        
	$nav_pages .= "<td><a href=$url&page=$num&nav=$end> <img align=absmiddle src=".$http_path['data']."/images/row/icon_end.gif border=0 /> </a></td>";

	$nav_pages .= "
    </tr>
</table>	
    ";        
    }

    return $nav_pages;
}

//linenavbar($pages, $nav, $max_nav, "?inc=phonebook$pages_search", $page);

?>