<?php
// $dev_uplink is a network device connected to uplink network (your upstream provider)
// $dev_downlink is a network device connected to downlink network (customers/clients)
$dev_uplink = "eth0";
$dev_downlink = "eth1";

// bw (Kbit)
$bw_root = "9984";	// intl+iix in kbps (bandwidth in total, link bandwidth)
$bw[0] = "3032";	// intl bandwidth in kbps (available for clients)
$bw[1] = "32";		// intl spare bandwidth in kbps (for servers, routers..)
$bw[2] = "8";		// intl trash bandwidth in kbps (for known P2P garbages, viruses, worms..)
$bw[3] = "6144";	// iix bandwidth in kbps 
$bw[4] = "248";		// iix spare in kbps 
$bw[5] = "8";		// iix trash in kbps 

// special configurations

// $max_intl_bw_calc decide how maximum bandwidth for intl bandwidth calculated
// value 0 for max. intl bandwidth = designated intl ceil bw by admin (default)
// value 1 for max. intl bandwidth = $max_intl_bw below
$max_intl_bw_calc = 0;

// $max_iix_bw_calc decide how maximum bandwidth for iix bandwidth calculated
// value 0 for max. iix bandwidth = designated iix ceil bw by admin (iix ceil bw = intl ceil bw)
// value 1 for max. iix bandwidth = $max_iix_bw below (default)
$max_iix_bw_calc = 1;

// maximum intl bandwidth per client will be 1/4 of intl bandwidth (see $bw[0] above )
$max_intl_bw = $bw[0] / 4; 

// maximum iix bandwidth per client will be full iix bandwidth (see $bw[3] above) 
$max_iix_bw = $bw[3]; 

// ignore ICMP (bypass ICMP)
// note: 
// by ignoring ICMP I bet you'll make most of your clients happy ;)
// but remember that you might be allowing worms or viruses eat up your bandwidth
// bottom line is: USE WITH CARE
// value 0 ICMP will NOT be ignored (limit ICMP)
// value 1 ICMP will be ignored (bypass ICMP, default)
$apps_ignore_icmp = 1;

// disable IIX configurations
// note:
// set to 1 if you have only a link with no IIX OR international and IIX bandwidth mixed
// you can set the value to 0 to enable IIX bandwidth calculation
// value 0 Banjar will calculate IIX bandwidth (default)
// value 1 Banjar will NOT calculate IIX bandwidth, you will not see IIX related menus
$apps_without_iix = 0;

?>