#!/bin/bash

SPOOL=/var/spool/banjar
POLLER=/srv/www/htdocs/cacti1

TC=/usr/sbin/tc
PHP=/usr/bin/php

DEV_UPLINK=eth0
DEV_DOWNLINK=eth1

# -----------------------------------------------------

mkdir -p $SPOOL

$TC -s class show dev $DEV_DOWNLINK > $SPOOL/cat-$DEV_DOWNLINK
sleep 1
$TC -s class show dev $DEV_UPLINK > $SPOOL/cat-$DEV_UPLINK
sleep 1

CWD=`pwd`
cd $POLLER
$PHP -q $POLLER/poller.php >/dev/null 2>&1
cd $CWD
