<?php
if (trim($SERVER_PROTOCOL)=="HTTP/1.1")
{
    header ("Cache-Control: no-cache, must-revalidate");
}
else
{
    header ("Pragma: no-cache");
}

ob_start();

include "config.php";
include "config_passwd.php";
include "config_bandwidth.php";

// set global variable
$date_format		= "Y-m-d";
$time_format		= "G:i:s";
$datetime_format 	= $date_format." ".$time_format;
$date_now		= date($date_format, time());
$time_now		= date($time_format, time());
$datetime_now		= date($datetime_format, time());
$code_length		= 5;
$code_seed		= "0123456789";
$nd 			= "<font color=red>(*)</font>";

// very important, do not try to remove it or change it
define ("_SECURE_","1");

// protect from SQL injection when magic_quotes_gpc sets to "Off"
function pl_addslashes($data)
{
    global $db_param;
    if ($db_param[type]=="mssql")
    {
	$data = str_replace("'", "''", $data); 
    } 
    else
    {
	$data = addslashes($data);
    }
    return $data; 
}

if (!get_magic_quotes_gpc())
{
    foreach($_GET as $key => $val){$_GET[$key]=pl_addslashes($_GET[$key]);}
    foreach($_POST as $key => $val){$_POST[$key]=pl_addslashes($_POST[$key]);}
    foreach($_COOKIE as $key => $val){$_COOKIE[$key]=pl_addslashes($_COOKIE[$key]);}
    foreach($_SERVER as $key => $val){$_SERVER[$key]=pl_addslashes($_SERVER[$key]);}
}

// libraries directory
$apps_path[libs]	= $apps_path[base]."/lib";

// includes directories
$apps_path[incs]	= $apps_path[base]."/inc";

// includes http path
$http_path[incs]	= $http_path[base]."/inc";

// themes directories
$apps_path[themes]	= $apps_path[incs]."/themes/".$themes[name];

// themes http path
$http_path[themes]	= $http_path[incs]."/themes/".$themes[name];

// connect to database
include_once "$apps_path[libs]/dba.php";
$dba_object = dba_connect($db_param[user],$db_param[pass],$db_param[name],$db_param[host],$db_param[port]);

// --------------------------------------------------------------------------------

$inc 	= $_REQUEST['inc'];
$op 	= $_REQUEST['op'];
$err 	= $_REQUEST['err'];
$id 	= $_REQUEST['id'];

if (!$themes[name])
{
    $themes[name] = "default";
}


// header's menus

$arrMenu1 = array(
                "Package"=>"index.php?inc=package&op=package_list",
                "Client"=>"index.php?inc=client&op=client_list",
                "Apply rules"=>"index.php?inc=apply",
                "Show fw rules"=>"index.php?inc=show&op=createfw",
                "Show tc rules"=>"index.php?inc=show&op=createtc",
                "Show applied rules"=>"index.php?inc=show&op=applied"
                );

$arrMenu2 = array();
// $arrMenu2['Edit config passwd'] = "./?inc=edit&op=config_passwd";
$arrMenu2['Edit config bandwidth'] = "./?inc=edit&op=config_bandwidth";
$arrMenu2['Edit sysctl'] = "./?inc=edit&op=sysctl";
$arrMenu2['Edit masquerade'] = "./?inc=edit&op=masquerade";
$arrMenu2['Edit firewall'] = "./?inc=edit&op=firewall";
$arrMenu2['Edit control'] = "./?inc=edit&op=control";
if (!$apps_without_iix){ $arrMenu2['Edit IIX'] = "./?inc=edit&op=iix"; }

// percentage of stated bandwidth
// if you set 98 here, it means that the actual bandwidth is 98% of it
$posb = "98"; 

// $posb %
$posb = $posb / 100;

// maximum intl bandwidth per client is $posb % of its configured value
$max_intl_bw = floor( $posb * $max_intl_bw ); 

// maximum iix bandwidth per client  is $posb % of its configured value
$max_iix_bw = floor( $posb * $max_iix_bw ); 

// mark
// hint: this mark value can be any number, but we suggest not to change this default setup
// (you dont need to change it anyway)
$mark_root = "10";		// mark for root preferred 10
$mark[0] = "21"; 		// intl
$mark[1] = "22"; 		// intl spare
$mark[2] = "29"; 		// intl trash
$mark[3] = "31"; 		// iix
$mark[4] = "32"; 		// iix spare
$mark[5] = "39"; 		// iix trash

// prio
// highest number higher priority
$prio_default = 2; 	// default priority is normal
$prio[0] = "200"; 	// lowest
$prio[1] = "201"; 	// low
$prio[2] = "202"; 	// normal
$prio[3] = "203"; 	// medium
$prio[4] = "204"; 	// high
$prio[5] = "205"; 	// highest

// this application version, do not change
$apps_version = "0.7";

?>